function gameBox(del) {
    this.obj = jQuery(del);
    this.status = 0;
    this.no = 0;
    this.changeStatus = function () {
        switch (this.status) {
            case 0:
                {
                    this.obj.find("div[name='gameImgBox']").addClass("active");
                    this.obj.find("img[name='gameImg']").attr("src", 'img/csx-sx' + this.no + '_.png');
                    this.obj.find("div[name='gameBeans']").text(100);
                    this.status = 1;
                    break;
                }
            case 1:
                {
                    this.obj.find("div[name='gameImgBox']").removeClass("active");
                    this.obj.find("img[name='gameImg']").attr("src", 'img/csx-sx' + this.no + '.png');
                    this.obj.find("div[name='gameBeans']").text(0);
                    this.status = 0;
                    break;
                } 
            default:
                {
                    break;
                }
        }
    };
    this.getBeans = function(){
        return parseFloat(this.obj.find("div[name='gameBeans']").text());
    };
    this.setBeans = function(beans){
        this.obj.find("div[name='gameBeans']").text(beans);
    };
    this.setPet = function () {
        this.obj.find("div[name='gameImgBox']").addClass("active");
        this.obj.find("img[name='gameImg']").attr("src", 'img/csx-sx_' + this.no + '.png');
        this.status = 2;
    };
    this.setRate = function (rate) {
        this.obj.find("span[name='gameRate']").text(rate);
    };
    this.init = function () {
        this.status = 0;
        this.obj.find("div[name='gameImgBox']").removeClass("active");
        this.obj.find("img[name='gameImg']").attr("src", 'img/csx-sx' + this.no + '.png');
        this.obj.find("div[name='gameBeans']").text(0);
        this.obj.find("span[name='gameRate']").text(0);
    };
    this.fristClick = function () {
        this.obj.find("div[name='gameImgBox']").addClass("active");
        this.obj.find("img[name='gameImg']").attr("src", 'img/csx-sx' + this.no + '_.png');
        this.obj.find("div[name='gameBeans']").text(100);
        this.status = 1;
    };
    this.selectByBeans = function(beans){
        this.obj.find("div[name='gameImgBox']").addClass("active");
        this.obj.find("img[name='gameImg']").attr("src", 'img/csx-sx' + this.no + '_.png');
        this.obj.find("div[name='gameBeans']").text(beans);
        this.status = 1;
    };
    this.reset = function () {
        this.obj.find("div[name='gameImgBox']").removeClass("active");
        this.obj.find("img[name='gameImg']").attr("src", 'img/csx-sx' + this.no + '.png');
        this.obj.find("div[name='gameBeans']").text(0);
        this.status = 0;
    };
};

var gameOption = {
    eventBinded: false,
    openGameResultPage: function () {
        openGameResultPage(gameOption.currGameNo, 0);
    },
    resultWaitting: null,
    list: [],
    currGameNo: 0,
    canRunning: true,   //是否到期执行
    isFristShow: true,  //是否第一次显示
    restart: function () {
        jQuery.each(gameOption.list, function () {
            this.reset();
        });
    },
    resetUnSelect: function () {
        jQuery.each(gameOption.list, function () {
            if (this.status == 1) {
                this.reset();
            }
        });
    },
    countPetedRate: function () {
        var petCount = 0;
        jQuery.each(gameOption.list, function () {
            if (this.status == 2)
                petCount++;
        });
        return (petCount / 12).toFixed(2) * 100;
    },
    getByNo: function (no) {
        return gameOption.list[no - 1];
    },
    pet: function () {
        var one = 0, two = 0, three = 0, four = 0, five = 0, six = 0, seven = 0, eight = 0, nine = 0, ten = 0, eleven = 0, twelve = 0;
        jQuery.each(gameOption.list, function () {
            if (this.status == 1) {
                var beansStr = this.getBeans();
                if (isInt(beansStr)) {
                    var beans = parseInt(beansStr);
                    switch (this.no) {
                        case 1: {
                            one = beans;
                            break;
                        }
                        case 2: {
                            two = beans;
                            break;
                        }
                        case 3: {
                            three = beans;
                            break;
                        }
                        case 4: {
                            four = beans;
                            break;
                        }
                        case 5: {
                            five = beans;
                            break;
                        }
                        case 6: {
                            six = beans;
                            break;
                        }
                        case 7: {
                            seven = beans;
                            break;
                        }
                        case 8: {
                            eight = beans;
                            break;
                        }
                        case 9: {
                            nine = beans;
                            break;
                        }
                        case 10: {
                            ten = beans;
                            break;
                        }
                        case 11: {
                            eleven = beans;
                            break;
                        }
                        case 12: {
                            twelve = beans;
                            break;
                        }
                    }
                    //this.setPet();
                }
                else {
                    this.reset();
                }
            }
        });
        
        var total = one + two + three + four + five + six + seven + eight + nine + ten + eleven + twelve;
        if (total == 0) {
            mui.alert("请至少选择一个生肖进行种豆.", "有问题哦", "确定", null, "div");
        }
        else {
            var userInfo = loginedUserInfo.getUserInfo();
            if (total > userInfo.Bean) {
                var btnArray = [{ title: "马上升级VIP,获赠海量豆豆" }, { title: "邀请好友轻松赚豆" }];
                plus.nativeUI.actionSheet({
                    title: "您的豆豆数量不足",
                    cancel: "取消",
                    buttons: btnArray
                }, function (e) {
                    var index = e.index;
                    switch (index) {
                        case 1: {
                            gameOption.canRunning = false;
                            openVIP("game_csx");
                            break;
                        }
                        case 2: {
                            gameOption.canRunning = false;
                            openMasterPage("game_csx");
                            break;
                        }
                    }
                });
                //layer.open({
                //    content: '<img src="img/userbeanempty.png" />',
                //    btn: ['马上升级VIP,获赠海量豆豆', '取消'],
                //    shadeClose: true,
                //    yes: function (index) {
                //        gameOption.canRunning = false;
                //        openVIP("game_csx");
                //        layer.closeAll();
                //    }
                //});
            }
            else {
                var optWaitting = plus.nativeUI.showWaiting("正在种豆...");
                var token = loginedUserInfo.getToken();
                mui.ajax(apiUrl + '/JoinGame', {
                    data: { token: token, one: one, two: two, three: three, four: four, five: five, six: six, seven: seven, eight: eight, nine: nine, ten: ten, eleven: eleven, twelve: twelve, gameno: gameOption.currGameNo },
                    dataType: 'json',//服务器返回json格式数据
                    type: 'post',//HTTP请求类型
                    timeout: 10000,//超时时间设置为10秒；
                    crossDomain: true,
                    success: function (status) {
                        optWaitting.close();
                        switch (status) {
                            case -1: {
                                mui.toast('您种豆的游戏已结束,请在下一期种豆.');
                                break;
                            }
                            case 0: {
                                layer.open({
                                    content: '您的豆豆数量不足',
                                    btn: ['马上升级VIP,获赠海量豆豆', '取消'],
                                    skin: 'footer',
                                    shadeClose: true,
                                    yes: function (index) {
                                        layer.open({ content: '执行删除操作' })
                                    }
                                });
                                break;
                            }
                            case -3: {
                                //用户被封
                                mui.alert("您的账号已被封,请与客服联系.", "有问题哦", "好的", null, "div");
                                break;
                            }
                            case -4: {
                                //需要激活
                                mui.alert("您的账号尚未激活,需要绑定手机后才能继续游戏.", "有问题哦", "好的", null, "div");
                                break;
                            }
                            case 1: {
                                //成功
                                userInfo.Bean -= total;
                                loginedUserInfo.updateUserInfo(userInfo);
                                setHeadStyle();
                                changeSelectedBeans(0);
                                var petedBeans = parseInt(jQuery("#petedBenas").text());
                                jQuery("#petedBenas").text(petedBeans + total);

                                jQuery.each(gameOption.list, function () {
                                    if (this.status == 1) {
                                        this.status = 2;
                                        this.setPet();
                                    }
                                });

                                var petedRate = gameOption.countPetedRate();
                                jQuery("#petedRate").text(petedRate);
                            }
                        }
                    },
                    error: function (xhr, type, errorThrown) {
                        showAjaxErrMsg(type);
                    }
                });
            }
        }
    },
    setRate: function (no, rate) {
        gameOption.list[no - 1].setRate(rate);
    },
    countSelectedBeans: function () {
        var beans = 0;
        jQuery.each(gameOption.list, function () {
            if (this.status == 1) {
                beans += parseInt(this.obj.find("div[name='gameBeans']").text());
            }
        });
        changeSelectedBeans(formatBean(beans));
    },
    selectAll: function () {
        jQuery.each(gameOption.list, function () {
            if (this.status != 2) {
                this.fristClick();
            }
        });
        gameOption.countSelectedBeans();
    },
    selectDan: function () {
        jQuery.each(gameOption.list, function () {
            if (this.status != 2) {
                if (this.no % 2 == 0) {
                    this.reset();
                }
                else {
                    this.fristClick();
                }
            }
        });
        gameOption.countSelectedBeans();
    },
    selectShuang: function () {
        jQuery.each(gameOption.list, function () {
            if (this.status != 2) {
                if (this.no % 2 != 0) {
                    this.reset();
                }
                else {
                    this.fristClick();
                }
            }
        });
        gameOption.countSelectedBeans();
    },
    selectDa: function () {
        jQuery.each(gameOption.list, function () {
            if (this.status != 2) {
                if (this.no > 6) {
                    this.fristClick();
                }
                else {
                    this.reset();
                }
            }
        });
        gameOption.countSelectedBeans();
    },
    selectXiao: function () {
        jQuery.each(gameOption.list, function () {
            if (this.status != 2) {
                if (this.no < 7) {
                    this.fristClick();
                }
                else {
                    this.reset();
                }
            }
        });
        gameOption.countSelectedBeans();
    },
    selectNei: function () {
        jQuery.each(gameOption.list, function () {
            if (this.status != 2) {
                if (this.no == 2 || this.no == 3 || this.no == 6 || this.no == 7 || this.no == 10 || this.no == 11) {
                    this.fristClick();
                }
                else {
                    this.reset();
                }
            }
        });
        gameOption.countSelectedBeans();
    },
    selectWai: function () {
        jQuery.each(gameOption.list, function () {
            if (this.status != 2) {
                if (this.no == 1 || this.no == 4 || this.no == 5 || this.no == 8 || this.no == 9 || this.no == 12) {
                    this.fristClick();
                }
                else {
                    this.reset();
                }
            }
        });
        gameOption.countSelectedBeans();
    },
    selectZuo: function () {
        jQuery.each(gameOption.list, function () {
            if (this.status != 2) {
                if (this.no == 1 || this.no == 2 || this.no == 5 || this.no == 6 || this.no == 9 || this.no == 10) {
                    this.fristClick();
                }
                else {
                    this.reset();
                }
            }
        });
        gameOption.countSelectedBeans();
    },
    selectYou: function () {
        jQuery.each(gameOption.list, function () {
            if (this.status != 2) {
                if (this.no == 3 || this.no == 4 || this.no == 7 || this.no == 8 || this.no == 11 || this.no == 12) {
                    this.fristClick();
                }
                else {
                    this.reset();
                }
            }
        });
        gameOption.countSelectedBeans();
    },
    multipleBeans: function (multiple) {
        jQuery.each(gameOption.list, function () {
            if (this.status == 1) {
                var beans = this.getBeans();
                if (beans <= 9999999 || multiple < 1) {
                    beans = beans * multiple;
                    beans = parseInt(beans);
                    if (beans > 0)
                        this.setBeans(beans);
                    else
                        this.reset();
                }
            }
        });
        gameOption.countSelectedBeans();
    }
};

//填充赔率
function fullRates(one, two, three, four, five, six, seven, eight, nine, ten, eleven, twelve) {
    gameOption.setRate(1, one);
    gameOption.setRate(2, two);
    gameOption.setRate(3, three);
    gameOption.setRate(4, four);
    gameOption.setRate(5, five);
    gameOption.setRate(6, six);
    gameOption.setRate(7, seven);
    gameOption.setRate(8, eight);
    gameOption.setRate(9, nine);
    gameOption.setRate(10, ten);
    gameOption.setRate(11, eleven);
    gameOption.setRate(12, twelve);
};

//绑定的初始化
function bindInit()
{
    //绑定图片点击
    jQuery("div[name='divGameBox']").each(function (i) {
        gameOption.list[i] = new gameBox(this);
        gameOption.list[i].no = i + 1;
        jQuery(this).on("tap", function () {
            gameOption.list[i].changeStatus();
            gameOption.countSelectedBeans();
        });
    });

    //绑定选择按钮点击
    jQuery("#btnSelectAll").on("tap", function () {
        gameOption.selectAll();
    });
    jQuery("#btnSelectDan").on("tap", function () {
        gameOption.selectDan();
    });
    jQuery("#btnSelectShuang").on("tap", function () {
        gameOption.selectShuang();
    });
    jQuery("#btnSelectDa").on("tap", function () {
        gameOption.selectDa();
    });
    jQuery("#btnSelectXiao").on("tap", function () {
        gameOption.selectXiao();
    });
    jQuery("#btnSelectNei").on("tap", function () {
        gameOption.selectNei();
    });
    jQuery("#btnSelectWai").on("tap", function () {
        gameOption.selectWai();
    });
    jQuery("#btnSelectZuo").on("tap", function () {
        gameOption.selectZuo();
    });
    jQuery("#btnSelectYou").on("tap", function () {
        gameOption.selectYou();
    });

    //绑定选择豆子数按钮点击
    jQuery("button[name='btnBeansMultiple']").on("tap", function () {
        var multiple = parseFloat(jQuery(this).data("multiple"));
        gameOption.multipleBeans(multiple);
    });
};

//优化requestAnimationFrame的兼容性
(function () {
    var lastTime = 0;
    var vendors = ['webkit', 'moz'];
    for (var x = 0; x < vendors.length && !window.requestAnimationFrame; ++x) {
        window.requestAnimationFrame = window[vendors[x] + 'RequestAnimationFrame'];
        window.cancelAnimationFrame =
          window[vendors[x] + 'CancelAnimationFrame'] || window[vendors[x] + 'CancelRequestAnimationFrame'];
    }

    if (!window.requestAnimationFrame)
        window.requestAnimationFrame = function (callback, element) {
            var currTime = new Date().getTime();
            var timeToCall = Math.max(0, 16 - (currTime - lastTime));
            var id = window.setTimeout(function () { callback(currTime + timeToCall); },
              timeToCall);
            lastTime = currTime + timeToCall;
            return id;
        };

    if (!window.cancelAnimationFrame)
        window.cancelAnimationFrame = function (id) {
            clearTimeout(id);
        };
}());

/**
 * 游戏引擎
 * @param  {int} sec [距本次收豆所剩的秒数]
 */
function gameEngine(sec, gameRunOnceTimes) {
    sec += 5;

    var secTimes = sec > gameRunOnceTimes ? gameRunOnceTimes : sec;
    var timeTag = Date.now();   //上一帧的时间
    var endTime = Date.now() + (sec * 1000);    //客户端收豆时间
    var isEnd = false;  //是否结束
    var timer;
    var times = endTime - Date.now();
    var interval = (endTime - Date.now()) / secTimes;

    var dig_1 = parseInt(secTimes % 10);  //倒计时显示个位数字
    var dig_2 = parseInt(secTimes / 10);  //倒计时显示十位数字

    jQuery("#gameDig1").text(dig_1);
    jQuery("#gameDig2").text(dig_2);

    var canRun5Callback = true;
    var showRun5Wait = false;

    function begin() {
        window.cancelAnimationFrame(timer);
        if (isEnd) {
            //正式结束
            //layer.closeAll();
            //mui.fire(plus.webview.getWebviewById("game_csx"), "closeAllLayer", {});
            //if(gameOption && gameOption.resultWaitting)
            //	gameOption.resultWaitting.close();
            gameOption.resultWaitting.setTitle("即将收豆...");
            gameStart();
            drawNativeIcon.show();

            if (gameOption.canRunning) {
                gameOption.canRunning = false;
                gameOption.openGameResultPage();
            }

            return;
        }

        if ((Date.now() - timeTag) >= interval) {
            times = endTime - Date.now();
            if (times <= 0) {
                //提前结束
                isEnd = true;
            }
            else {
                secTimes = parseInt(times / interval);
                secTimes = secTimes > 90 ? 90 : secTimes;
                dig_1 = parseInt(secTimes % 10);
                dig_2 = parseInt(secTimes / 10);

                jQuery("#gameDig1").text(dig_1);
                jQuery("#gameDig2").text(dig_2);

                if (secTimes % 5 == 0 && canRun5Callback && gameOption.canRunning) {
                    updateRate();
                }

                if (secTimes <= 5) {
                    canRun5Callback = false;
                    if (!showRun5Wait && gameOption.canRunning) {
                        showRun5Wait = true;
                        gameOption.resultWaitting = plus.nativeUI.showWaiting("正在准备收豆...\n" + secTimes, { loading: { icon: "/img/shoudouwaitting.png", interval: "80ms" } });

                        if (gameOption.canRunning && isOpenSound())
                            plus.audio.createPlayer("/audio/countdown.wav").play();

                        drawNativeIcon.hide();
                    }
                    else {
                        gameOption.resultWaitting.setTitle("正在准备收豆...\n" + secTimes);
                        
                        if (gameOption.canRunning && isOpenSound())
                            plus.audio.createPlayer("/audio/countdown.wav").play();
                    }
                }

                if (dig_1 <= 0 && dig_2 <= 0)
                {
                    isEnd = true;
                }
            }

            timeTag = Date.now();
        }

        timer = window.requestAnimationFrame(begin);
    };

    timer = window.requestAnimationFrame(begin);
};

//更新赔率
function updateRate() {
    var token = loginedUserInfo.hasLogin() ? loginedUserInfo.getToken() : "";
    mui.ajax(apiUrl + '/GetGameCurrInfo', {
        data: { token: token, gameno: gameOption.currGameNo },
        dataType: 'json',//服务器返回json格式数据
        type: 'post',//HTTP请求类型
        timeout: 10000,//超时时间设置为10秒；
        crossDomain: true,
        success: function (data) {
            fullRates(data.One, data.Two, data.Three, data.Four, data.Five, data.Six, data.Seven, data.Eight, data.Nine, data.Ten, data.Eleven, data.Twelve);
            jQuery("#labelTotalBean").text(data.TotalBean);
            if (loginedUserInfo.hasLogin()) {
                var userInfo = loginedUserInfo.getUserInfo();
                userInfo.Bean = data.CurrUserBean;
                loginedUserInfo.updateUserInfo(userInfo);
                setHeadStyle();
            }
        },
        error: function (xhr, type, errorThrown) {
            showAjaxErrMsg(type);
        }
    });
};

//填充走势
function fullGameTrend(gameTrend) {
    var html = "";
    for (var i = 0; i < gameTrend.Leng.length; i++) {
        var trend = gameTrend.Leng[i];
        html += '<div><img src="img/csx-sx' + trend.Result + '_.png" class="sxImg" /><span class="text">已连续' + trend.UnTimes + '期未出现； 建议追号！</span></div>';
    }
    jQuery("#gameTrendInfoLeng").html(html);

    html = "";
    for (var i = 0; i < gameTrend.Re.length; i++) {
        var trend = gameTrend.Re[i];
        html += '<div><img src="img/csx-sx' + trend.Result + '_.png" class="sxImg" /><span class="text">近期出现频率高，请注意关注。</span></div>';
    }
    jQuery("#gameTrendInfoRe").html(html);

    html = "";
    for (var i = 0; i < gameTrend.MMode.length; i++) {
        var trend = gameTrend.MMode[i];
        var name = "";
        switch (trend.Result) {
            case 13:
                {
                    name = "单";
                    break;
                }
            case 14:
                {
                    name = "双";
                    break;
                }
            case 17:
                {
                    name = "大";
                    break;
                }
            case 18:
                {
                    name = "小";
                    break;
                }
            case 19:
                {
                    name = "内";
                    break;
                }
            case 20:
                {
                    name = "外";
                    break;
                }
            case 21:
                {
                    name = "左";
                    break;
                }
            case 22:
                {
                    name = "右";
                    break;
                }
        }
        html += '<div><span class="tag">' + name + '</span><span class="text">已连续' + trend.Continue + '期出现，建议反向模式追号！</span></div>';
    }
    jQuery("#gameTrendInfoMode").html(html);
};

function gameInit(gameInitData) {
    gameOption.restart();
    jQuery("#petedBenas").text(0);
    jQuery("#petedRate").text(0);
    jQuery("#labelGameNo").text(gameInitData.GameNo);
    jQuery("#labelTotalBean").text(gameInitData.TotalBean);
    gameEngine(gameInitData.CountDownSeconds, gameInitData.GameRunOnceTimes);
    fullGameTrend(gameInitData.GameTrend);
    fullUserGameInitData(gameInitData); 
    fullRates(gameInitData.One, gameInitData.Two, gameInitData.Three, gameInitData.Four, gameInitData.Five, gameInitData.Six, gameInitData.Seven, gameInitData.Eight, gameInitData.Nine, gameInitData.Ten, gameInitData.Eleven, gameInitData.Twelve);

    //是否登陆
    if (loginedUserInfo.hasLogin()) {

    }
};

//填充用户游戏数据
function fullUserGameInitData(gameInitData) {
    if (gameInitData.HaveCurrUserGameResult == 1) {
        var beans = 0;
        var count = 0;
        jQuery.each(gameInitData.CurrUserGameResults, function () {
            var obj = gameOption.getByNo(this.Number);
            obj.setBeans(this.Bean);
            obj.setPet();
            count++;
            beans += this.Bean;
        });

        jQuery("#petedBenas").text(beans);
        jQuery("#petedRate").text(parseInt(count / 12 * 100));
    }

    if (gameInitData.HaveLastOne) {
        jQuery("#btnSelectPre").attr("disabled", false);
        jQuery("#btnSelectPre").bind("tap", function () {
            gameOption.resetUnSelect();
            if (gameInitData.UserLastOne > 0) {
                var obj = gameOption.getByNo(1);
                if (obj.status != 2) {
                    obj.selectByBeans(gameInitData.UserLastOne);
                }
            }
            if (gameInitData.UserLastTwo > 0) {
                var obj = gameOption.getByNo(2);
                if (obj.status != 2) {
                    obj.selectByBeans(gameInitData.UserLastTwo);
                }
            }
            if (gameInitData.UserLastThree > 0) {
                var obj = gameOption.getByNo(3);
                if (obj.status != 2) {
                    obj.selectByBeans(gameInitData.UserLastThree);
                }
            }
            if (gameInitData.UserLastFour > 0) {
                var obj = gameOption.getByNo(4);
                if (obj.status != 2) {
                    obj.selectByBeans(gameInitData.UserLastFour);
                }
            }
            if (gameInitData.UserLastFive > 0) {
                var obj = gameOption.getByNo(5);
                if (obj.status != 2) {
                    obj.selectByBeans(gameInitData.UserLastFive);
                }
            }
            if (gameInitData.UserLastSix > 0) {
                var obj = gameOption.getByNo(6);
                if (obj.status != 2) {
                    obj.selectByBeans(gameInitData.UserLastSix);
                }
            }
            if (gameInitData.UserLastSeven > 0) {
                var obj = gameOption.getByNo(7);
                if (obj.status != 2) {
                    obj.selectByBeans(gameInitData.UserLastSeven);
                }
            }
            if (gameInitData.UserLastEight > 0) {
                var obj = gameOption.getByNo(8);
                if (obj.status != 2) {
                    obj.selectByBeans(gameInitData.UserLastEight);
                }
            }
            if (gameInitData.UserLastNine > 0) {
                var obj = gameOption.getByNo(9);
                if (obj.status != 2) {
                    obj.selectByBeans(gameInitData.UserLastNine);
                }
            }
            if (gameInitData.UserLastTen > 0) {
                var obj = gameOption.getByNo(10);
                if (obj.status != 2) {
                    obj.selectByBeans(gameInitData.UserLastTen);
                }
            }
            if (gameInitData.UserLastEleven > 0) {
                var obj = gameOption.getByNo(11);
                if (obj.status != 2) {
                    obj.selectByBeans(gameInitData.UserLastEleven);
                }
            }
            if (gameInitData.UserLastTwelve > 0) {
                var obj = gameOption.getByNo(12);
                if (obj.status != 2) {
                    obj.selectByBeans(gameInitData.UserLastTwelve);
                }
            }
        });
    }
};

//游戏初始化
function gameStart(callback)
{
    if (!gameOption.eventBinded) {
        gameOption.eventBinded = true;
        bindInit();
    }

    changeSelectedBeans(0);
    jQuery("#btnSelectPre").unbind("tap");
    jQuery("#btnSelectPre").attr("disabled", true);

    var token = loginedUserInfo.hasLogin() ? loginedUserInfo.getToken() : "";

    mui.ajax(apiUrl + '/GetGameInitData',{
        data: { token: token },
        dataType: 'json',//服务器返回json格式数据
        type: 'post',//HTTP请求类型
        timeout: 10000,//超时时间设置为10秒；
        crossDomain: true,
        success: function (data) {
            if (data.IsStop) {
                if (callback)
                    callback();

                plus.nativeUI.alert("由于系统正在维护,猜生肖游戏暂停,请几分钟后再试.", function () {
                    mui.back();
                }, "有问题哦", "OK");
            }
            else {
                gameOption.currGameNo = data.GameNo;
                gameInit(data);

                if (gameOption.isFristShow) {
                    gameOption.isFristShow = false;
                }

                if (callback)
                    callback();
            }
        },
        error:function(xhr,type,errorThrown){
            showAjaxErrMsg(type);
        }
    });
};

//获取用户数据重新填充
function reFullUserGameData() {
    var token = loginedUserInfo.hasLogin() ? loginedUserInfo.getToken() : "";
    mui.ajax(apiUrl + '/GetUserGameData', {
        data: { token: token, gameno: gameOption.currGameNo },
        dataType: 'json',//服务器返回json格式数据
        type: 'post',//HTTP请求类型
        timeout: 10000,//超时时间设置为10秒；
        crossDomain: true,
        success: function (data) {
            fullUserGameInitData(data);
            var userInfo = loginedUserInfo.getUserInfo();
            userInfo.Bean = data.UserBean;
            loginedUserInfo.updateUserInfo(userInfo);
            setHeadStyle();
            gameOption.restart();
            gameOption.countSelectedBeans();
        },
        error: function (xhr, type, errorThrown) {
            showAjaxErrMsg(type);
        }
    });
};

window.addEventListener('restartUserGame', function (event) {
    reFullUserGameData();
    gameOption.canRunning = true;
});
window.addEventListener('setCanRunning', function (event) {
    gameOption.canRunning = true;
});
window.addEventListener('stopGameRunning', function (event) {
    gameOption.canRunning = false;
});
window.addEventListener('startGameRunning', function (event) {
    gameOption.canRunning = true;
});