﻿var updater = {
    isRunning: false,
    isLater: false,
    dtask: null,
    watting: null,
    install: function (path, callback) {
        var w = plus.nativeUI.showWaiting("正在安装更新...");
        plus.runtime.install(path, {}, function () {
            w.close();
            plus.nativeUI.alert("更新成功！", function () {
                plus.runtime.restart();
            });
        }, function (e) {
            w.close();
            plus.nativeUI.alert("更新成功失败[" + e.code + "]：" + e.message);
            if (callback)
                callback();
        });
    },
    download: function (url, callback) {
        var options = { method: "GET" };
        updater.dtask = plus.downloader.createDownload(url, options, function (d, status) {
            if (status == 200) { // 下载成功
                var path = d.filename;
                callback(path);
            } else {//下载失败
                mui.alert("下载失败,请稍后重试.");
            }
        });
        updater.watting = plus.nativeUI.showWaiting("准备下载更新...");
        updater.dtask.addEventListener("statechanged", function (task, status) {
            if (!updater.dtask) { return; }
            switch (task.state) {
                case 1: // 开始
                    updater.watting.setTitle("开始下载更新...");
                    break;
                case 2: // 已连接到服务器
                    updater.watting.setTitle("链接到服务器...");
                    break;
                case 3:	// 已接收到数据
                    updater.watting.setTitle("下载数据更新:\n" + task.downloadedSize + "/" + task.totalSize);
                    break;
                case 4:	// 下载完成
                    updater.watting.close();
                    break;
            }
        });
        updater.dtask.start();
    }
};