﻿var share = {
    wxShareEntity: null,
    qqShareEntity: null,
    init: function () {
        plus.share.getServices(function (ss) {
            for (var i in ss) {
            	var s = ss[i];
            	if (s.id == "weixin") {
            	    share.wxShareEntity = s;
            	}
            	if (s.id == "qq") {
            	    share.qqShareEntity = s;
            	}
            }
        }, function (e) {
            mui.alert("获取分享服务列表失败：" + e.message);
        });
    },
    wxShareAction: function (msg) {
        if (share.wxShareEntity) {
            if (share.wxShareEntity.authenticated) {
                share.wxShareMessage(msg);
            } else {
                share.wxShareEntity.authorize(function () {
                    share.wxShareMessage(msg);
                }, function (e) {
                    mui.alert("认证授权失败：" + e.code);
                });
            }
        }
        else {
            mui.alert("分享失败,请稍后再试.");
        }
    },
    wxShareMessage: function(msg){
        share.wxShareEntity.send(msg, function () {
            mui.alert( "分享成功." );
        }, function(e){
            mui.alert( "分享失败: "+e.code );
        } );
    },
    qqShareAction: function (msg) {
        if (share.qqShareEntity) {
            if (share.qqShareEntity.authenticated) {
                share.qqShareMessage(msg);
            } else {
                share.qqShareEntity.authorize(function () {
                    share.qqShareMessage(msg);
                }, function (e) {
                    mui.alert("认证授权失败：" + e.code);
                });
            }
        }
        else {
            mui.alert("分享失败,请稍后再试.");
        }
    },
    qqShareMessage: function (msg) {
        share.qqShareEntity.send(msg, function () {
            mui.alert("分享成功.");
        }, function (e) {
            mui.alert("分享失败: " + e.code);
        });
    }
};